Skip to main content
`Ctrl`+`K`

# TAOPDIPM

Barrier-based primal-dual interior point algorithm for generally constrained optimization.

## Options Database Keys

- -tao_pdipm_push_init_lambdai - parameter to push initial dual variables away from bounds (> 0)

- -tao_pdipm_push_init_slack - parameter to push initial slack variables away from bounds (> 0)

- -tao_pdipm_mu_update_factor - update scalar for barrier parameter (mu) update (> 0)

- -tao_pdipm_symmetric_kkt - Solve non-reduced symmetric KKT system

- -tao_pdipm_kkt_shift_pd - Add shifts to make KKT matrix positive definite

## See Also

`TAOPDIPM`, `Tao`, `TaoType`

## Level

beginner

## Location

src/tao/constrained/impls/ipm/pdipm.c

## Examples

src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages